org.eclipse.cdt.core.templateengine

## Class TemplateInfo2

- java.lang.Object
- - org.eclipse.cdt.core.templateengine.TemplateInfo
  - - org.eclipse.cdt.core.templateengine.TemplateInfo2

    public class TemplateInfo2
    extends TemplateInfo

Template info extended to include new stuff for new new project wizard UI.

Since:
  5.4

### Constructor Summary

Constructors
Constructor and Description
`TemplateInfo2(String templateId, String projectTypeId, String filterPattern, String templatePath, String pluginId, Set<String> toolChainIdSet, Object extraPagesProvider, boolean isCategory, List<String> parentCategoryIds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getParentCategoryIds()`

### Methods inherited from class org.eclipse.cdt.core.templateengine.TemplateInfo

`equals, getConfigurations, getExtraPagesProvider, getFilterPattern, getIcon, getPluginId, getProjectType, getTemplateId, getTemplatePath, getToolChainIds, hashCode, isCategory, setConfigurations, setToolChainSet`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateInfo2

    public TemplateInfo2(String templateId,
                         String projectTypeId,
                         String filterPattern,
                         String templatePath,
                         String pluginId,
                         Set<String> toolChainIdSet,
                         Object extraPagesProvider,
                         boolean isCategory,
                         List<String> parentCategoryIds)

### Method Detail

#### getParentCategoryIds

    public List<String> getParentCategoryIds()